List Credit Grants for a customer
curl --request GET \
--url https://eu.sequencehq.com/api/credits/{customerId}/grants \
--header 'Authorization: <authorization>'import requests
url = "https://eu.sequencehq.com/api/credits/{customerId}/grants"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://eu.sequencehq.com/api/credits/{customerId}/grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "22efb229-c474-407c-bbf7-f5e113ee8b20",
"name": "API Calls",
"grantAmount": 1000,
"balance": 324,
"issueDate": "2022-02-22",
"expiryDate": "2030-03-03"
}
]
}This response has no body data.This response has no body data.This response has no body data.Credits
List Credit Grants for a customer
List all Credit Grants and their outstanding balances where the balance is non-zero
GET
/
credits
/
{customerId}
/
grants
List Credit Grants for a customer
Headers
Your API credentials. Eg. Basic {credentials}.
Use this header to select an API version
Available options:
2024-07-30 Path Parameters
Customer ID
Response
OK
Credit Grants
Show child attributes
Show child attributes
Example:
[
{
"id": "22efb229-c474-407c-bbf7-f5e113ee8b20",
"name": "API Calls",
"grantAmount": 1000,
"balance": 324,
"issueDate": "2022-02-22",
"expiryDate": "2030-03-03"
}
]
⌘I